/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow strict-local
 */

import React from 'react';
import AppNavigator from 'navigations';
import {Provider} from 'react-redux';
import configureStore from 'store';
import {PersistGate} from 'redux-persist/integration/react';
import {enableLatestRenderer} from 'react-native-maps';
import 'moment/locale/id';
import 'utilities/i18';

enableLatestRenderer();
const App = () => {
  const {persistor, store} = configureStore();
  return (
    <Provider store={store}>
      <PersistGate persistor={persistor}>
        <AppNavigator />
      </PersistGate>
    </Provider>
  );
};

export default App;
