import {StyleSheet, Dimensions} from 'react-native';
import {Colors, FONTS} from 'global-styles';
import {RFValue} from 'react-native-responsive-fontsize';
const {width} = Dimensions.get('window');

export default StyleSheet.create({
  container: {
    height: width * 0.14,
    paddingHorizontal: width * 0.04,
    backgroundColor: Colors.WHITE,
    borderBottomWidth: width * 0.002,
    borderBottomColor: Colors.LINE_STROKE,

    elevation: 5,
  },
  section: {
    flex: 1,
    flexDirection: 'row',
    alignItems: 'center',
  },
  leftButton: {
    marginRight: width * 0.04,
  },
  leftButtonIcon: {
    fontSize: RFValue(22),
    color: Colors.DRAKER_BLACK,
  },
  bodyCenter: {
    flex: 1,
    justifyContent: 'center',
  },
  bodyStart: {
    flex: 1,
    justifyContent: 'center',
  },
  smTitle: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(13),
    color: Colors.TEXT,
    marginTop: width * 0.005,
  },
  subTitle: {
    fontFamily: FONTS.poppins[400],
    fontSize: RFValue(12),
    color: Colors.TEXT_LIGHT,
    marginTop: -width * 0.01,
  },
  lgTitle: {
    fontFamily: FONTS.poppins[500],
    fontSize: RFValue(17),
    color: Colors.TEXT,
    marginTop: width * 0.005,
  },
});
