import {StyleSheet, Dimensions, Platform} from 'react-native';
import {RFValue} from 'react-native-responsive-fontsize';
import {Colors, FONTS} from 'global-styles';
const {width} = Dimensions.get('window');

export default StyleSheet.create({
  modal: {
    margin: 0,
  },
  container: {
    flex: 1,
    margin: 0,
    justifyContent: 'flex-end',
  },
  content: {
    height: width / 1.4,
    backgroundColor: Colors.WHITE,
    paddingVertical: width * 0.04,
    paddingHorizontal: width * 0.05,
    borderTopLeftRadius: width * 0.05,
    borderTopRightRadius: width * 0.05,
    alignItems: 'center',
  },
  buttonClose: {
    backgroundColor: Colors.WHITE,
    width: width * 0.09,
    height: width * 0.09,
    borderRadius: width,
    marginBottom: width * 0.03,
    alignSelf: 'flex-end',
    marginRight: width * 0.03,
    alignItems: 'center',
    justifyContent: 'center',
  },
  buttonCloseIcon: {
    fontSize: RFValue(20),
    color: Colors.TEXT,
  },
  errorImage: {
    width: width * 0.3,
    height: width * 0.3,
  },
  title: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(18),
    color: Colors.TEXT,
    marginTop: width * 0.02,
  },
  message: {
    fontFamily: FONTS.poppins[400],
    fontSize: RFValue(12),
    color: Colors.TEXT,
    marginTop: width * 0.04,
  },
});
