import {StyleSheet, Dimensions, Platform} from 'react-native';
import {RFValue} from 'react-native-responsive-fontsize';
import {Colors, FONTS} from 'global-styles';
const {width} = Dimensions.get('window');

export default StyleSheet.create({
  container: {
    width: width * 0.35,
    height: width * 0.4,
    backgroundColor: Colors.WHITE,
    // shadowColor: Colors.SHADOW,
    shadowColor: 'rgba(208, 207, 207, 1)',
    borderRadius: width * 0.04,
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 10,
  },
  image: {
    width: width * 0.28,
    height: width * 0.18,
    marginTop: width * 0.02,
    alignSelf: 'center',
  },
  infoSection: {
    paddingHorizontal: width * 0.03,
    marginTop: width * 0.01,
  },
  title: {
    fontFamily: FONTS.poppins[500],
    fontSize: RFValue(10),
    color: Colors.TEXT,
  },
  price: {
    fontFamily: FONTS.poppins[500],
    fontSize: RFValue(10),
    color: Colors.PRIMARY,
    marginTop: width * 0.02,
  },
});
