/* eslint-disable prettier/prettier */
import React from 'react';
import {createNativeStackNavigator} from '@react-navigation/native-stack';
import {
  Login,
  Register,
  BusinessProfileRegistration,
  BusinessSummary,
  OutletSummary,
  BankAccount,
} from 'scenes';

const AuthStack = createNativeStackNavigator();

const AuthStackScreen = () => {
  return (
    <AuthStack.Navigator screenOptions={{headerShown: false}}>
      <AuthStack.Screen name="Login" component={Login} />
      <AuthStack.Screen name="Register" component={Register} />
      <AuthStack.Screen name="BusinessProfileRegistration" component={BusinessProfileRegistration} />
      <AuthStack.Screen name="BusinessSummary" component={BusinessSummary} />
      <AuthStack.Screen name="OutletSummary" component={OutletSummary} />
      <AuthStack.Screen name="BankAccount" component={BankAccount} />
    </AuthStack.Navigator>
  );
};

export default AuthStackScreen;
