import {StyleSheet, Dimensions, Platform} from 'react-native';
import {RFValue} from 'react-native-responsive-fontsize';
import {Colors, FONTS} from 'global-styles';
const {width} = Dimensions.get('window');

export default StyleSheet.create({
  container: {
    flex: 1,
    paddingHorizontal: width * 0.05,
  },
  scrollview: {
    paddingBottom: width * 0.2,
  },
  spacing: {
    marginVertical: width * 0.02,
  },
  checkboxSection: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: width * 0.02,
  },
  checkIconSection: isChecked => ({
    width: width * 0.05,
    height: width * 0.05,
    borderRadius: width,
    backgroundColor: isChecked ? Colors.PRIMARY : Colors.GREY,
    alignItems: 'center',
    justifyContent: 'center',
    marginRight: width * 0.02,
    alignSelf: 'flex-start',
  }),
  checkIcon: {
    color: Colors.WHITE,
    fontSize: RFValue(13),
  },
  checkboxTitle: {
    fontFamily: FONTS.poppins[500],
    fontSize: RFValue(11),
    color: Colors.TEXT,
  },

  inputImageContainer: {},
  inputImageLabel: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(11.5),
    color: Colors.TEXT,
  },
  inputImageSection: {
    height: width * 0.28,
    borderWidth: 1,
    borderColor: Colors.LINE_STROKE,
    borderRadius: width * 0.02,
    marginVertical: width * 0.023,
    backgroundColor: Colors.WHITE,
    flexDirection: 'row',
    alignItems: 'center',
  },
  inputImageIconSection: {
    height: '100%',
    paddingHorizontal: width * 0.12,
    borderColor: Colors.LINE_STROKE,
    backgroundColor: Colors.DISABLED,
    alignItems: 'center',
    justifyContent: 'center',
    borderRightWidth: 1,
    borderTopLeftRadius: width * 0.02,
    borderBottomLeftRadius: width * 0.02,
  },
  inputImageIcon: {
    fontSize: RFValue(22),
    color: Colors.TEXT,
  },
  inputImageInfoSection: {
    paddingHorizontal: width * 0.04,
  },
  inputImageInfoLabel: {
    fontFamily: FONTS.poppins[600],
    fontSize: RFValue(11.5),
    color: Colors.TEXT,
  },
  inputImageInfoSubLabel: {
    fontFamily: FONTS.poppins[400],
    fontSize: RFValue(11),
    color: Colors.TEXT,
  },
});
